searchData={"items":[{"type":"module","title":"MapGrid","doc":"This module has a singular public function, called `convert`. This convert function\ncan be used to convert an array of maps, like you would get from an Ecto query,\nand convert them into a tabular data structure, or a grid.","ref":"MapGrid.html"},{"type":"function","title":"MapGrid.convert/2","doc":"Function to convert from an array of maps to a tabular data structure.\nFunction expects all maps to be equal, like a struct would be, but it is not\nlimited to structs.","ref":"MapGrid.html#convert/2"},{"type":"function","title":"Example - MapGrid.convert/2","doc":"iex > MapGrid.convert([%{name: \"john\", age: 99}, %{name: \"doe\", age: 100}])\n    [[:name\", :age], [\"john\", 99], [\"doe\", 100]]","ref":"MapGrid.html#convert/2-example"},{"type":"function","title":"Options - MapGrid.convert/2","doc":"","ref":"MapGrid.html#convert/2-options"},{"type":"function","title":"Item function - MapGrid.convert/2","doc":"This option allows you to define a function with an arity of one to be executed on each item. The value is an array.\n\n    iex > function = fn Map.put(&1, :batch, 3) end\n    iex > MapGrid.convert([%{name: \"john\", age: 99}, %{name: \"doe\", age: 100}], item_function: function)\n    [[:name, :batch, :age], [\"john\", 3, 99], [\"doe\", \"some description\", 3, 100]]","ref":"MapGrid.html#convert/2-item-function"},{"type":"function","title":"Keys - MapGrid.convert/2","doc":"This option expects an array of atoms and defines the **order** of the tabular structure. This is important to be able to\nignore certain keys and include keys added via the item_function.\n\n    iex > function = fn Map.put(&1, :batch, 3) end\n    iex > MapGrid.convert([%{name: \"john\", age: 99}, %{name: \"doe\", age: 100}], item_function: function)\n    [[:name, :batch, :age], [\"john\", 3, 99], [\"doe\", \"some description\", 3, 100]]","ref":"MapGrid.html#convert/2-keys"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}